#!/bin/bash
### Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.

base64="false"
tar="false"
zip="false"

parseOptions()
{
    while [ "$#" -gt "0" ]
    do
        case $1 in
            --chdir)
                shift;
                chdir=$1
                ;;
            --path)
                shift;
                path=$1
                ;;
            --base64)
                shift;
		base64=$1
                ;;
            --tar)
                shift
                tar=$1
                ;;
            --zip)
                shift
                zip=$1
                ;;
            *)
                ;;
        esac
        shift
    done
}

parseOptions $@;

if [ X$chdir == "X" ]; then
    echo "option --chdir is not specified";
    exit 1;
fi;

if [ X$path == "X" ]; then
    echo "option --path is not specified";
    exit 1;
fi;


if [ ! -d "$chdir" ]; then
    echo "Directory $chdir is invalid"
    exit 1;
fi;

cd $chdir;

if [ ! -f "$path" ]; then
    echo "File $path is not exists"
    exit 1;
fi;


if [ $base64 == "true" ]; then
    base64Tmp="${path}_base64"
    base64 -di < $path > $base64Tmp || exit 1;
    rm -f $path && mv $base64Tmp $path
fi;

umask 077
if [ $tar == "true" ]; then
    tar -xvf $path --no-same-permissions || exit 1;
fi;
